import AvueComponent  from './components/avue-component/avue-component.vue'
import AppAvueCrud  from './components/app-avue-crud/app-avue-crud.vue'
import AppFormJson  from './components/app-form-json/app-form-json.vue'
import AppFormJsonDaChart  from './components/app-form-json/app-form-json-da-chart.vue'
import AppFormJsonDaReport  from './components/app-form-json/app-form-json-da-report.vue'
import AppFormJsonLogic  from './components/app-form-json/app-form-json-logic.vue'
import AppFormJsonFieldSet  from './components/app-form-json/app-form-json-field-set.vue'
import AppFormJsonDim  from './components/app-form-json/app-form-json-dim.vue'
import AppFormJsonMetric  from './components/app-form-json/app-form-json-metric.vue'
import AppTreeselectRefreshview  from './components/app-treeselect-refreshview/app-treeselect-refreshview.vue'
import 'jquery/dist/jquery.min.js'
import $ from 'jquery'
window["$"] = $
window["jQuery"] = $
export const UserComponent = {
    install(v: any, opt: any) {
        v.component('avue-component', AvueComponent);
        v.component('app-avue-crud', AppAvueCrud);
        v.component('app-treeselect-refreshview', AppTreeselectRefreshview);
        v.component('app-form-json', AppFormJson);
        v.component('app-form-json-da-chart', AppFormJsonDaChart);
        v.component('app-form-json-da-report', AppFormJsonDaReport);
        v.component('app-form-json-logic', AppFormJsonLogic);
        v.component('app-form-json-field-set', AppFormJsonFieldSet);
        v.component('app-form-json-dim', AppFormJsonDim);
        v.component('app-form-json-metric', AppFormJsonMetric);
    }
};